#!/bin/sh

if [ "$1" != "start" ] && [ "$1" != "stop" ] && [ "$1" != "restart" ]; then
  echo "Usage: $0 {start|stop|restart}"
  exit 1
fi

export MALLOC_TRIM_THRESHOLD_=8192
export MALLOC_MMAP_THRESHOLD_=16384
export HELIX_LIBS=/usr/lib/helix
export USE_DECODEBIN2=1

if [ -x /usr/bin/connectivity_preload.sh ]; then
  source /usr/bin/connectivity_preload.sh
fi

source $LAUNCHWRAPPER_NICE_TRYRESTART $1 media-server /usr/bin/osso-media-server
